GetWebhookListener
curl --request POST \
--url https://amoy-indexer.sequence.app/rpc/Indexer/GetWebhookListener \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 160497579,
"projectId": 31396
}
'import requests
url = "https://amoy-indexer.sequence.app/rpc/Indexer/GetWebhookListener"
payload = {
"id": 160497579,
"projectId": 31396
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: 160497579, projectId: 31396})
};
fetch('https://amoy-indexer.sequence.app/rpc/Indexer/GetWebhookListener', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"listener": {
"id": 160497579,
"projectID": 31396,
"url": "https://webhook.site/#!/view/a2859143-0a52-4b69-98f2-a58733e4dcf0",
"filters": {
"events": [
"Transfer(address indexed from,address indexed to,uint256 indexed tokenId)"
],
"contractAddresses": [
"0x9bec34c1f7098e278afd48fedcf13355b854364a"
],
"accounts": [
"0xe6eb28398ccbe46aa505b62b96822c2ce8daabf4"
],
"tokenIDs": null
},
"name": "webhook.site #a84730",
"updatedAt": "2024-10-10T20:37:01.685037632Z",
"active": true
}
}{
"error": "WebrpcEndpoint",
"code": 0,
"msg": "endpoint error",
"status": 400,
"cause": "<string>"
}{
"error": "WebrpcBadResponse",
"code": -5,
"msg": "bad response",
"status": 500,
"cause": "<string>"
}secret
GetWebhookListener
POST
/
rpc
/
Indexer
/
GetWebhookListener
GetWebhookListener
Was this page helpful?
⌘I